Patriot Theme can not be used with new Firefox version 3.5.2 Rated 5 out of 5 stars

I thought this Patriot Theme was great. I downloaded this theme and was very pleased with it until I went and upgraded my Firefox to version 3.5.2. Now I'm really upset that I can not use the Patriots Theme with the new version. I am such a huge Patriots fan and I would like to get an older version of Firefox so that I can start using this theme again. Any way of getting an older version back or is anyone ever going to update the Patriots Theme so that it can be used with the new version of Firefox?

This review is for a previous version of the add-on (2.0).